Description

A deprecation warning "Single arity template handlers are deprecated" is shown in Rails 6.

$ bin/rails test test/unit/attachment_test.rb

.

.

.

DEPRECATION WARNING: Single arity template handlers are deprecated. Template handlers must

now accept two parameters, the view object and the source for the view object.

Change:

  >> Redmine::Views::ApiTemplateHandler.call(template)

To:

  >> Redmine::Views::ApiTemplateHandler.call(template, source)

 (called from <top (required)> at /path/to/redmine/lib/redmine.rb:353)

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

History

#1 - 2020-01-26 10:07 - Go MAEDA

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2021-03-30 18:29 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#3 - 2021-04-01 19:16 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Done in r20886 as a part of #29914.

#4 - 2021-04-01 20:13 - Pavel Rosický

- File template.diff added

why not use the source directly? see the patch file

Files

fix-single-arity-template-handlers-are-deprecated.patch 548 Bytes 2020-01-26 Go MAEDA

template.diff 755 Bytes 2021-04-01 Pavel Rosický
